config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

preserve_perms() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  if [ -e $OLD ]; then
    cp -a $OLD ${NEW}.incoming
    cat $NEW > ${NEW}.incoming
    mv ${NEW}.incoming $NEW
  fi
  config $NEW
}

preserve_perms etc/rc.d/rc.gpsd.new
config etc/rc.d/rc.gpsd.conf.new

if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi
( cd usr/lib64 ; rm -rf libgps.so )
( cd usr/lib64 ; ln -sf libgps.so.30.0.0 libgps.so )
( cd usr/lib64 ; rm -rf libgps.so.30 )
( cd usr/lib64 ; ln -sf libgps.so.30.0.0 libgps.so.30 )
( cd usr/lib64 ; rm -rf libgpsdpacket.so )
( cd usr/lib64 ; ln -sf libgpsdpacket.so.30.0.0 libgpsdpacket.so )
( cd usr/lib64 ; rm -rf libgpsdpacket.so.30 )
( cd usr/lib64 ; ln -sf libgpsdpacket.so.30.0.0 libgpsdpacket.so.30 )
